package notice.view.bean;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Vector;

import notice.model.event.NoticeViewEventResult;
import notice.model.object.NoticeInf;

import jp.co.intra_mart.framework.base.event.Event;
import jp.co.intra_mart.framework.base.web.bean.HelperBean;
import jp.co.intra_mart.framework.base.web.bean.HelperBeanException;


/**
 * @author NTTDATA intra-mart
 *
 * f\pBeanł
 */
public class NoticeViewBean extends HelperBean implements Serializable {
    private Vector notices;
    
    public NoticeViewBean() throws HelperBeanException{
        super();
        
        this.notices = null;
    }
    
    public void init() throws HelperBeanException{
        int i;
        Event event = createEvent("notice.conf.notice", "notice_view");
        NoticeViewEventResult eventResult;
        Vector noticeView;
        
        try {
            eventResult = (NoticeViewEventResult)dispatchEvent(event);
        } catch (Exception e) {
            throw new HelperBeanException(e.getMessage(), e);
        }
        
        noticeView = eventResult.getNotices();
        
        notices = new Vector();

        for(i=0;i<noticeView.size();i++){
            NoticeInf notice = (NoticeInf)noticeView.get(i);
            HashMap map = new HashMap();
                        
            map.put("title", notice.getTitle());
            map.put("author", notice.getAuthor());
            map.put("date", notice.getRegistDate());
            map.put("content", notice.getContent());
            
            notices.add(map);
        }
    }
    
    /**
     * fԋp܂
     * @return Vector f
     */
    public Vector getNotices() {
        return notices;
    }

    /**
     * fZbg܂
     * @param notices Zbgf
     */
    public void setNotices(Vector notices) {
        this.notices = notices;
    }
}
